Bug 1196751 - arj: buffer overflow write access initiated by a size read from a crafted archive
Summary: arj: buffer overflow write access initiated by a size read from a crafted arc...
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141227,repor...
Keywords: Security
Depends On: 1196752 1196753
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 16:26 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:27 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:39:11 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-02-26 16:26:54 UTC
It was reported [1] that ARJ crashes on a crafted ARJ file:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=774015

This is actually a security issue, as the invalid pointer in that
free is due to a buffer overflow write access initiated by a size
read from the processed archive.

Comment 1 Vasyl Kaigorodov 2015-02-26 16:27:29 UTC
Created arj tracking bugs for this issue:

Affects: epel-all [bug 1196752]
Affects: fedora-all [bug 1196753]

Comment 2 Fedora Update System 2015-04-10 07:27:43 UTC
arj-3.10.22-22.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-04-20 18:36:38 UTC
arj-3.10.22-22.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-20 18:39:14 UTC
arj-3.10.22-22.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-04-20 18:39:25 UTC
arj-3.10.22-22.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-21 18:34:12 UTC
arj-3.10.22-22.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-08 02:39:11 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.